//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: 2015-05-10
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// This pov-file is for POV-Ray 3.6 or newer.
//
// The POV-Ray ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//
  
  

#include "colors.inc"           
#include "textures.inc"       
#include "shapes.inc"
#include "colors.inc"
#include "shapes.inc"     

#version 3.6;


camera {
   location <0.0, 2.8, -8.3>
   up       <0.0, 1.0, 0.0>
   right    <4/3, 0.0, 0.0>
   look_at  <0.0, 0.0, 0.0>
}


light_source { <0.0, 15.0, -40.0> color rgb 2.2 }  

// light_source { <-7.0, 30.0, -20.0> color rgb 1.15 }


sky_sphere { pigment { rgb <0.8,0.8,0.8> } }
    
       
       
#declare texture1 = texture {
      pigment { color rgb <0.78, 0.75, 0.7> }
      finish {
         phong 0.0
         phong_size 1.0
         ambient 0.8
         diffuse 0.2 
      }
   }   
   
#declare texture2 = texture {
      pigment { color rgb <0.0, 0.0, 1.0> }
      finish {
         phong 0.0
         phong_size 1.0
         ambient 0.8
         diffuse 0.2 
  } 

}   

#declare texture3 = texture {
      pigment { color rgb <1.0, 0.0, 0.0> }
      finish {
         phong 0.0
         phong_size 1.0
         ambient 0.8
         diffuse 0.2 
  } 
  
}   

#declare texture4 = texture {
      pigment { color rgb <0.0, 1.0, 0.0> }
      finish {
         phong 0.0
         phong_size 1.0
         ambient 0.8
         diffuse 0.2 
  } 
  
}   

#declare texture5 = texture {
      pigment { color rgb <1.0, 1.0, 0.0> }
      finish {
         phong 0.0
         phong_size 1.0
         ambient 0.8
         diffuse 0.2 
  } 
  
}



     



#declare www1 = object {  

     plane { -x, 0.5 }  

}    

#declare cube1 = intersection {  
                     
     plane { y, 0.0 inverse } 
     
     object { www1 rotate   0.0*y }  
     object { www1 rotate  90.0*y }
     object { www1 rotate 180.0*y }
     object { www1 rotate 270.0*y } 
     
     plane { y, 1.0 }
     
     
} 
           
  
 

#declare www2 = object {  

     plane { -x, 0.5 rotate -17.0*z }  

}    

#declare pyr1 = intersection {  
                     
     plane { y, 0.0 inverse } 
     
     object { www2 rotate   0.0*y }  
     object { www2 rotate  90.0*y }
     object { www2 rotate 180.0*y }
     object { www2 rotate 270.0*y } 
     
     
} 
           



#declare www3 = object {  

     plane { -x, 0.5 rotate -15.0*z }  

}    

#declare pyr2 = intersection {  
                     
     plane { y, 0.0 inverse } 
     
     object { www3 rotate   0.0*y }  
     object { www3 rotate  120.0*y }
     object { www3 rotate  240.0*y }
         
} 
           
           
  
union {    

plane {z, 2.0 inverse
   texture { texture1 }
}   


plane {y, -2.0  
   texture { texture1 }
}      

plane {x, 3.0  
   texture { texture1 }
}  


object { cube1 no_shadow

  texture { texture2 } 
  
  
  scale 1.10 
              
  translate  2.25*x
  translate -2.0*y
  translate -1.2*z 

}   


object { pyr1 no_shadow

  texture { texture3 } 
  
  
  scale 1.35  
  
  rotate -10.0*y
              
  translate  -0.37*x
  translate -2.0*y
  translate  0.9*z 

}  


object { pyr2 no_shadow

  texture { texture4 } 
  
  
  scale 0.9  
              
  rotate -47.5*y   
              
  translate  1.45*x
  translate -2.0*y
  translate  0.6*z 

}   


object { pyr2 no_shadow

  texture { texture5 } 
  
  
  scale 0.7 
              
  rotate 35.0*y  
              
  translate  0.18*x
  translate -2.0*y
  translate -0.75*z 

} 
   
translate -2.0*z

rotate  0.0*x
rotate -28.0*y

}


       
       



